import request from '@/utils/request'

// list
export function getEnterpriseList(query) {
	return request({
		url: `/shian/store/list`,
		method: 'get',
		params: query
	})
}

// export
export function exportEnterprise(query) {
	return request({
		url: '/shian/store/export',
		method: 'get',
		params: query
	})
}

// DELETE
export function deleteEnterprise(ids) {
	return request({
		url: `/shian/store/${ids}`,
		method: 'DELETE'
	})
}

// info
export function getinfo(id) {
	return request({
		url: `/shian/store/${id}`,
		method: 'get'
	})
}

// add
export function addEnterprise(data) {
	return request({
		url: '/shian/store',
		method: 'post',
		data
	})
}

// update
export function updataEnterprise(data) {
	return request({
		url: '/shian/store',
		method: 'put',
		data
	})
}
